﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FacturaloPlusCS
{
    public partial class Form1 : Form
    {
        String CFDI, keyB64, cerB64;
        OpenFileDialog ofd;

        public Form1()
        {
            InitializeComponent();
            CFDI = "";
            keyB64 = "";
            cerB64 = "";
            ofd = new OpenFileDialog();
            groupBox1.Enabled = true;
            groupBox2.Enabled = false;
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            wsFacturaloPlus.ServicioTimbradoWSPortTypeClient cliente = new wsFacturaloPlus.ServicioTimbradoWSPortTypeClient();

            if (radioButton1.Checked)
            {
                wsFacturaloPlus.RespuestaTimbrado res = cliente.timbrar(textBox3.Text, CFDI);

                textBox1.Text = "code: " + res.code + "\r\n" +
                    "message: " + res.message + "\r\n" +
                    "data: " + res.data;
            }
            else
            {
                wsFacturaloPlus.RespuestaCancelar res = cliente.cancelar(
                    textBox3.Text,  // apikey
                    keyB64,         // .key del CSD (en base64)
                    cerB64,         // .cer del CSD (en base64)
                    textBox6.Text,  // contraseña del CSD (SAT)
                    textBox7.Text,  // UUID
                    textBox8.Text,  // Rfc del Emisor
                    textBox9.Text,  // Rfc del Receptor
                    Convert.ToDouble(textBox10.Text));  // Total exacto del CFDI

                textBox1.Text = "code: " + res.code + "\r\n" +
                    "message: " + res.message + "\r\n" +
                    "data: " + res.data + "\r\n" +
                    "status: " + res.status;
            }
        }

        private void button2_Click_1(object sender, EventArgs e)
        {
            if (ofd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                textBox2.Text = ofd.FileName;
                CFDI = System.IO.File.ReadAllText(textBox2.Text);
                textBox1.Text = CFDI;
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (ofd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                textBox4.Text = ofd.FileName;
                keyB64 = System.Convert.ToBase64String(
                            System.IO.File.ReadAllBytes(textBox4.Text)
                        );
                textBox1.Text = keyB64;
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (ofd.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                textBox5.Text = ofd.FileName;
                cerB64 = System.Convert.ToBase64String(
                                System.IO.File.ReadAllBytes(textBox5.Text)
                        );
                textBox1.Text = cerB64;
            }
        }

        private void radioButton1_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton1.Checked)
            {
                groupBox2.Enabled = false;
                groupBox1.Enabled = true;
            }
        }

        private void radioButton2_CheckedChanged(object sender, EventArgs e)
        {
            if (radioButton2.Checked)
            {
                groupBox2.Enabled = true;
                groupBox1.Enabled = false;
            }
        }
    }
}
